Zandronum Chat on our Discord Server Get the latest version: 3.0
Source Code

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003253Zandronum[All Projects] Bugpublic2017-09-03 21:032021-11-04 00:05
ReporterWaTaKiD 
Assigned ToKaminsky 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformMicrosoftOSWindowsOS VersionXP/Vista/7
Product Version3.0 
Target Version3.1Fixed in Version3.1-beta 
Summary0003253: zan 3.0 release can play a 3.0-beta demo
Descriptionthe provided demo was recorded using 3.0-alpha-r170806-2040 and doom2.wad
Steps To Reproduce(using zan 3.0 release)
zandronum -iwad doom2 -playdemo 2017.09.03_13.56.16_doom2.cld
Attached Files? file icon 2017.09.03_13.56.16_doom2.cld [^] (9,463 bytes) 2017-09-03 21:03

- Relationships

-  Notes
User avatar (0021631)
Kaminsky (developer)
2021-07-23 20:59

This should've now been addressed in 3.1:https://osdn.net/projects/zandronum/scm/hg/zandronum-stable/commits/c5f126ed769574a076cebb8c69b29a62431b6b94 [^]

So, demos should now only playback for the version they were originally recorded with and throw an error otherwise.
User avatar (0021820)
WaTaKiD (updater)
2021-11-03 23:50

i recorded a demo using 3.1-alpha-r211030-1716 and tried playing it with 3.1-alpha-r211026-1439 and was indeed met with an error:
Demo requires version 3.1-alpha-r211030-1716. You are currently using version 3.1-alpha-r211026-1439.
User avatar (0021821)
Kaminsky (developer)
2021-11-04 00:05

Thanks for checking!

Issue Community Support
This issue is already marked as resolved.
If you feel that is not the case, please reopen it and explain why.
Supporters: DrinkyBird Combinebobnt
Opponents: No one explicitly opposes this issue yet.

- Issue History
Date Modified Username Field Change
2017-09-03 21:03 WaTaKiD New Issue
2017-09-03 21:03 WaTaKiD File Added: 2017.09.03_13.56.16_doom2.cld
2017-09-03 21:04 WaTaKiD Summary zan 3.0 can play a 3.0-beta demo => zan 3.0 release can play a 3.0-beta demo
2017-09-03 21:05 Dusk Product Version 3.0-beta => 3.0
2017-09-03 21:05 Dusk Assigned To => Dusk
2017-09-03 21:05 Dusk Status new => acknowledged
2021-07-23 20:59 Kaminsky Note Added: 0021631
2021-07-23 20:59 Kaminsky Assigned To Dusk => Kaminsky
2021-07-23 20:59 Kaminsky Status acknowledged => needs testing
2021-11-03 23:50 WaTaKiD Note Added: 0021820
2021-11-04 00:05 Kaminsky Note Added: 0021821
2021-11-04 00:05 Kaminsky Status needs testing => resolved
2021-11-04 00:05 Kaminsky Fixed in Version => 3.1-beta
2021-11-04 00:05 Kaminsky Resolution open => fixed






Questions or other issues? Contact Us.

Links


Copyright © 2000 - 2021 MantisBT Team
Powered by Mantis Bugtracker